Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.protocol.sync
Class SendingAction

    java.lang.Object
      org.teleal.cling.protocol.SendingAsync
          org.teleal.cling.protocol.SendingSync<OutgoingActionRequestMessage,IncomingActionResponseMessage>
              org.teleal.cling.protocol.sync.SendingAction

All Implemented Interfaces:
  Runnable

    public class SendingAction

extends SendingSync<OutgoingActionRequestMessage,IncomingActionResponseMessage>

Field Summary
`protected ActionInvocation` | `actionInvocation`
`protected static Logger` | `log`

Fields inherited from class org.teleal.cling.protocol.SendingSync
`outputMessage`

Constructor Summary
`SendingAction(UpnpService upnpService, ActionInvocation actionInvocation, URL controlURL)`

Method Summary
`protected IncomingActionResponseMessage` | `executeSync()`
`protected void` | `handleResponse(IncomingActionResponseMessage responseMsg)`
`protected void` | `handleResponseFailure(IncomingActionResponseMessage responseMsg)`
`protected IncomingActionResponseMessage` | `invokeRemote(OutgoingActionRequestMessage requestMessage)`
`protected boolean` | `isFailedTryAgain(IncomingActionResponseMessage responseMessage, OutgoingActionRequestMessage requestMessage)`
`protected StreamResponseMessage` | `sendRemoteRequest(OutgoingActionRequestMessage requestMessage)`
`protected IncomingActionResponseMessage` | `tryAgain(OutgoingActionRequestMessage originalRequestMessage)`

Methods inherited from class org.teleal.cling.protocol.SendingSync
`execute, getInputMessage, getOutputMessage, setInputMessage, toString`

Methods inherited from class org.teleal.cling.protocol.SendingAsync
`getDestinationAddress, getDestinationPort, getUpnpService, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static Logger log

### actionInvocation

    protected final ActionInvocation actionInvocation

Constructor Detail

### SendingAction

    public SendingAction(UpnpService upnpService,
                         ActionInvocation actionInvocation,
                         URL controlURL)

Method Detail

### executeSync

    protected IncomingActionResponseMessage executeSync()

  Specified by:
    `executeSync` in class `SendingSync<OutgoingActionRequestMessage,IncomingActionResponseMessage>`

### invokeRemote

    protected IncomingActionResponseMessage invokeRemote(OutgoingActionRequestMessage requestMessage)

### isFailedTryAgain

    protected boolean isFailedTryAgain(IncomingActionResponseMessage responseMessage,
                                       OutgoingActionRequestMessage requestMessage)
                                throws ActionException

  Throws:
    `ActionException`

### sendRemoteRequest

    protected StreamResponseMessage sendRemoteRequest(OutgoingActionRequestMessage requestMessage)
                                               throws ActionException

  Throws:
    `ActionException`

### handleResponse

    protected void handleResponse(IncomingActionResponseMessage responseMsg)
                           throws ActionException

  Throws:
    `ActionException`

### handleResponseFailure

    protected void handleResponseFailure(IncomingActionResponseMessage responseMsg)
                                  throws ActionException

  Throws:
    `ActionException`

### tryAgain

    protected IncomingActionResponseMessage tryAgain(OutgoingActionRequestMessage originalRequestMessage)
                                              throws ActionException

  Throws:
    `ActionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.